How to pin a package

How can a package be pinned, so that dnf (or any other software updater) does not downgrade or upgrade it?

I have compiled and installed a rpm package for rear from source (v2.5), but when attempting to upgrade my sytem from Fedora 30 to Fedora 31, it attempts to downgrade to rear-2.4-4.fc31.

1 Like

Look at this post, it should explain how to achieve what you are looking for:

4 Likes

Thanks, the versionlock DNF plugin solves this.

1 Like

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.